package com.zehong.web.controller.transaction;

import com.zehong.common.core.controller.BaseController;
import com.zehong.common.core.domain.AjaxResult;
import com.zehong.system.domain.TBorrowingApplyFor;
import com.zehong.system.domain.TPurchase;
import com.zehong.system.domain.TTradeProject;
import com.zehong.system.service.ITStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/statistics")
public class TStatisticsController  extends BaseController {

    @Autowired
    private ITStatisticsService itStatisticsService;

    /**
     * 项目交易收入
     * @param tTradeProject 交易实体
     * @return
     */
    @GetMapping("/tradeIncomeStatistics")
    public AjaxResult tradeIncomeStatistics(TTradeProject tTradeProject){
        return AjaxResult.success(itStatisticsService.tradeIncomeStatistics(tTradeProject));
    }

    /**
     * 项目交易支出
     * @param tTradeProject 交易实体
     * @return
     */
    @GetMapping("/tradeExpensesStatistics")
    public AjaxResult tradeExpensesStatistics(TTradeProject tTradeProject){
        return AjaxResult.success(itStatisticsService.tradeExpensesStatistics(tTradeProject));
    }

    /**
     * 借支
     * @param tBorrowingApplyFor 借支实体
     * @return
     */
    @GetMapping("/borrowingStatistics")
    public AjaxResult borrowingStatistics(TBorrowingApplyFor tBorrowingApplyFor){
        return AjaxResult.success(itStatisticsService.borrowingStatistics(tBorrowingApplyFor));
    }

    /**
     * 采购统计
     * @param tPurchase  采购实体
     * @return
     */
    @GetMapping("/purchaseStatistics")
    public AjaxResult purchaseStatistics(TPurchase tPurchase){
        return AjaxResult.success(itStatisticsService.purchaseStatistics(tPurchase));
    }
}
